<html>
<head>
<title>Ogre::RenderTargetListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderTargetListener Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderTargetListener" -->
<p>A interface class defining a listener which can be used to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events.  
 <a href="classOgre_1_1RenderTargetListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderTargetListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderTargetListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderTargetListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderTargetListener_inherit__map" id="Ogre_1_1RenderTargetListener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport." alt="" coords="17,83,175,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderTargetListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#afb5752b727803f415b960ed9f2728f3a">~RenderTargetListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ae6e3dc0a3a760bf152513fafbf51f9b3">preRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called just before a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> is about to be rendered into.  <a href="#ae6e3dc0a3a760bf152513fafbf51f9b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#a722f37475162c91ee0dd6cebf03e63a3">postRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to.  <a href="#a722f37475162c91ee0dd6cebf03e63a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ae0f7f5f1cdf13b5870d0da1cc8f1bd64">preViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#a343ada5be6be784ee83f3cb8ac48e319">postViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ab901ef7073b680203caf86792c2151ee">viewportAdded</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question.  <a href="#ab901ef7073b680203caf86792c2151ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ae39efc7491a7bbd3d5e2e3e5f84796c2">viewportRemoved</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question.  <a href="#ae39efc7491a7bbd3d5e2e3e5f84796c2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A interface class defining a listener which can be used to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events. In order to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events, you should create a subclass of <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications of RenderTarget even...">RenderTargetListener</a> and override the methods for which you would like to customise the resulting processing. You should then call <a class="el" href="classOgre_1_1RenderTarget.html#a1799514a8ad7958919ca48c654a47e8e" title="Add a listener to this RenderTarget which will be called back before &amp; after rendering.">RenderTarget::addListener</a> passing an instance of this class. There is no limit to the number of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> listeners you can register, allowing you to register multiple listeners for different purposes.  <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events occur before and after the target is updated as a whole, and before and after each viewport on that target is updated. Each <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> holds it's own set of listeners, but you can register the same listener on multiple render targets if you like since the event contains details of the originating <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00077">77</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="afb5752b727803f415b960ed9f2728f3a"></a><!-- doxytag: member="Ogre::RenderTargetListener::~RenderTargetListener" ref="afb5752b727803f415b960ed9f2728f3a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTargetListener.html#afb5752b727803f415b960ed9f2728f3a">Ogre::RenderTargetListener::~RenderTargetListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00088">88</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a722f37475162c91ee0dd6cebf03e63a3"></a><!-- doxytag: member="Ogre::RenderTargetListener::postRenderTargetUpdate" ref="a722f37475162c91ee0dd6cebf03e63a3" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#a722f37475162c91ee0dd6cebf03e63a3">Ogre::RenderTargetListener::postRenderTargetUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This event is called just after all the viewports attached to the target in question have been rendered to. You can perform your own manual rendering commands in this event handler if you like, these will be composited with the contents of the target already there (depending on the material settings you use etc). </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#abdef05ed8ba969c36d7d35a66c715793">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00111">111</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a343ada5be6be784ee83f3cb8ac48e319"></a><!-- doxytag: member="Ogre::RenderTargetListener::postViewportUpdate" ref="a343ada5be6be784ee83f3cb8ac48e319" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#a343ada5be6be784ee83f3cb8ac48e319">Ogre::RenderTargetListener::postViewportUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#a3e3315ef4adfc91d21fe309b2c74576a">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00128">128</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae6e3dc0a3a760bf152513fafbf51f9b3"></a><!-- doxytag: member="Ogre::RenderTargetListener::preRenderTargetUpdate" ref="ae6e3dc0a3a760bf152513fafbf51f9b3" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ae6e3dc0a3a760bf152513fafbf51f9b3">Ogre::RenderTargetListener::preRenderTargetUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called just before a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> is about to be rendered into. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This event is raised just before any of the viewports on the target are rendered to. You can perform manual rendering operations here if you want, but please note that if the <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> objects attached to this target are set up to clear the background, you will lose whatever you render. If you want some kind of backdrop in this event you should turn off background clearing off on the viewports, and either clear the viewports yourself in this event handler before doing your rendering or just render over the top if you don't need to. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#a1ec36cc26d28a3093551eefa01e0d150">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00100">100</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae0f7f5f1cdf13b5870d0da1cc8f1bd64"></a><!-- doxytag: member="Ogre::RenderTargetListener::preViewportUpdate" ref="ae0f7f5f1cdf13b5870d0da1cc8f1bd64" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ae0f7f5f1cdf13b5870d0da1cc8f1bd64">Ogre::RenderTargetListener::preViewportUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#add2baec43d6f70d7074c0bc661c218c3">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00120">120</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab901ef7073b680203caf86792c2151ee"></a><!-- doxytag: member="Ogre::RenderTargetListener::viewportAdded" ref="ab901ef7073b680203caf86792c2151ee" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ab901ef7073b680203caf86792c2151ee">Ogre::RenderTargetListener::viewportAdded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00134">134</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae39efc7491a7bbd3d5e2e3e5f84796c2"></a><!-- doxytag: member="Ogre::RenderTargetListener::viewportRemoved" ref="ae39efc7491a7bbd3d5e2e3e5f84796c2" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ae39efc7491a7bbd3d5e2e3e5f84796c2">Ogre::RenderTargetListener::viewportRemoved</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00139">139</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
